Bug 188170 - manpage of xfs shows wrong path for default config file
Summary: manpage of xfs shows wrong path for default config file
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs
Version: 5
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-06 17:05 UTC by Thomas Steudten
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-09-25 23:06:38 UTC


Attachments (Terms of Use)

Description Thomas Steudten 2006-04-06 17:05:25 UTC
Description of problem:

From "man xfs"

OPTIONS
       -config configuration_file
               Specifies  the configuration file the font server will use.  If
this parameter is not specified, the
               default file, /usr/X11R6/lib/X11/fs/config will be used.

But in FC5 the default file is /etc/X11/fs/config

Version-Release number of selected component (if applicable):
xorg-x11-xfs-1.0.1-4

How reproducible:
man xfs

Steps to Reproduce:
1. man xfs 
2. see - config
3.
  
Actual results:
man xfs shows: default file, /usr/X11R6/lib/X11/fs/config will be used.

Expected results:
man xfs shows: default file, /etc/X11/fs/config will be used.

Additional info:

Comment 1 Mike A. Harris 2006-06-06 09:26:17 UTC
This is something that really should be done by upstream IMHO.  At compile
time, the Makefiles should properly massage all paths in the manpages and
change them to what was specified via ./configure, rather than hard coding
them.

If you file a bug report in X.Org bugzilla, it'll probably be fixed in the
next xfs release, and we can update to that.  Better than rolling a distro
hack to cart around.  ;)



Comment 2 Kristian Høgsberg 2006-09-25 23:06:38 UTC
This is now fixed upstream, when we rebase to newer xfs, we will get the fix. 
Closing this bug now.

http://gitweb.freedesktop.org/?p=xorg/app/xfs.git;a=commitdiff;h=d68ce54e725aa332c0c74e1aa2e7e59b079fb5fe


Note You need to log in before you can comment on or make changes to this bug.